@echo off

rem ***Use hrit_rx_rtl.py for RTL dongles and hrit_rx_other.py for a different SDR device***
rem ***Add and remove the rem command (comment in DOS batch) to select correct device***
rem ***Edit and set accordingly the properties/parameters of your specific device***
rem ***Important: samp-rate / decim should be between 1.2 and 2.5 MHz, adjust decim properly***
rem ***RTL devices doesn't require decim nor change samp-rate, as default values are best***
rem ***If you use RTL_TCP on a remote host, use _rtltcp.py and set --rtlargs with remote IP***
rem ***For GOES-15 LRIT (GOES-NOP) use 293883 as symb-rate and for GOES-16 HRIT use 927000***
rem ***For disabling the GUI (Scope and FFT) use _nogui.py to decrease the CPU usage***

start /B gnuradio.lnk C:\XRITDecoder\hrit_rx_other.py --freq=1694100000 --samp-rate=10e6 --decim=5 --gainrf=20.0 --symb-rate=927000
rem start /B gnuradio.lnk C:\XRITDecoder\hrit_rx_other_nogui.py --freq=1694100000 --samp-rate=10e6 --decim=5 --gainrf=20.0 --symb-rate=927000

rem start /B gnuradio.lnk C:\XRITDecoder\hrit_rx_rtl.py --freq=137100000 --gainrf=48.0 --symb-rate=927000
rem start /B gnuradio.lnk C:\XRITDecoder\hrit_rx_rtl_nogui.py --freq=137100000 --gainrf=48.0 --symb-rate=927000
rem start /B gnuradio.lnk C:\XRITDecoder\hrit_rx_rtltcp.py --freq=137100000 --gainrf=48.0 --symb-rate=927000 --rtlargs="rtl_tcp=127.0.0.1:1234"
rem start /B gnuradio.lnk C:\XRITDecoder\hrit_rx_rtltcp_nogui.py --freq=137100000 --gainrf=48.0 --symb-rate=927000 --rtlargs="rtl_tcp=127.0.0.1:1234"

:decoder
echo Starting XRIT Decoder...
TIMEOUT 15
rem ***Use -nrzm for HRIT signal and remove it when using LRIT***
XRITDecoder.exe -nrzm -vsync 30 -ip "127.0.0.1" -port 8888 -chunk 32
goto :decoder